[package]
name = "kv-indexer"
version = "0.1.0"
authors = ["Sergey O. Boyko <sergey.boyko0791@gmail.com>"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
anyhow = "1.0"
async-trait = "0.1"
futures = "0.3"
dotenv = "0.15"
log = "0.4"
serde = "1.0"
serde_derive = "1.0"
uuid = { version = "0.8", features = ["serde", "v4"] }

[dev-dependencies]
env_logger = "0.8"
itertools = "0.10"
rand = "0.8"
serde_json = { version = "1.0", features = ["preserve_order"] } # `preserve_order` is needed to compare JSON objects

